<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: contact.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."liter_articles_cat_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."liter_articles_cat_panel/locale/".$settings['locale'].".php";
}

if (!isset($_GET['litera']) || !preg_match("/^[A-Z]{1}+$/", $_GET['litera'])) redirect("index.php");

opentable($locale['LCA_003']. $_GET['litera']);

$result = dbquery("SELECT c.article_cat_id, c.article_cat_name, c.article_cat_description,
(SELECT COUNT(article_id) FROM ".DB_ARTICLES." a WHERE (c.article_cat_id=a.article_cat)) AS ile
 FROM ".DB_ARTICLE_CATS." c 
WHERE LEFT(UPPER(article_cat_name), 1) = '".mysql_real_escape_string($_GET['litera'])."' AND ".groupaccess('article_cat_access')." ORDER BY article_cat_name");
$counter = 0; $columns = 2; 
echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>";
while ($data = dbarray($result)) {
if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr><tr>"; }
echo "<td valign='top' width='50%' class='tbl'><a href='".BASEDIR."articles.php?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a> <span class='small2'>(".number_format($data['ile']).")</span>";
if ($data['article_cat_description'] != "") { echo "<br /><span class='small'>".$data['article_cat_description']."</span>"; }
echo "</td>";
$counter++;
}
echo "</tr></table>";


closetable();
require_once THEMES."templates/footer.php";
?>
